Bug 1007720 - Too many scrollbars
Too many scrollbars
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: ER5
: 6.1.0
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks: bpms6_ux/brms6_ux 1006396
  Show dependency treegraph
 
Reported: 2013-09-13 04:23 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
too many scrollbars (126.61 KB, image/png)
2013-09-13 04:25 EDT, Zuzana Krejčová
no flags Details
Video - work with designer (ER5) (6.47 MB, video/webm)
2013-11-26 10:52 EST, Sona Mala
no flags Details
ER7 - simulation (54.28 KB, image/png)
2014-01-14 04:50 EST, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-09-13 04:23:43 EDT
Description of problem:
Designer sometimes displays 2-3 sets of scrollbars that need to be adjusted to make things properly visible. This is especially visible with a smaller screen / resolutions.
This makes working with it unpleasant and very cumbersome.
Comment 1 Zuzana Krejčová 2013-09-13 04:25:15 EDT
Created attachment 797203 [details]
too many scrollbars
Comment 2 Kris Verlaenen 2013-09-16 11:15:04 EDT
This is indeed quite annoying but for technical reasons might not be that easy to fix short-term.  So I'm adding devel_ack+ but devel_ack- for the beta blocker, to give us some time to investigate this.
Comment 3 Catherine Robson 2013-09-16 18:50:15 EDT
Agreed that this is a bigger issue that needs to be addressed after Beta.
Comment 4 Prakash Aradhya 2013-09-16 21:23:15 EDT
This should be mainly driven mainly by UX team lead by Catherine.

Internal Whiteboard: Beta Blocker → Blocker
Not critical for Beta, but need to address for GA
Comment 7 Tihomir Surdilovic 2013-10-07 14:41:12 EDT
fixed in designer master and 6.0.x branches.
Comment 9 Sona Mala 2013-11-26 10:48:29 EST
Tiho,
I have problem with this commit:

https://github.com/droolsjbpm/jbpm-designer/commit/ce6434ac84fb8748f62df4ff377ce061f0d02fa5

You just removed one scroll bar. Now I am not able to scroll to some elements if I resize Problems panel.

Please see attached video (screen resolution is 1280x1024):
  - 1 - I try to resize a canvas
          -> Problems panel has to be really small to see a decrease/increase button 
  - 2 - I want to see problems in Problems panel and modify a process
          -> Now Problems panel is readable but I am not able to scroll to gate.
  - 3 - I want to add some elements from shape library
          -> I am not able to scroll to REST task. I have to resize Problems panel
  - 4 - I want to see simulation parameters for selected node
          -> I have to collapse all sections or resize Problems panel
  - 5 - I want to see all properties for User task
          -> No idea how to do it. At least one section must be collapsed
  - 6 - I want to see a task form editor
          -> I have to move editor to see some parts but I never see whole editor

You can see that designer changes its width but designer never changes its height (based on resize a panel).


I am not sure if this fix is the first step or if it is a bad way. Please can you write some more information. Title "Too many scrollbars" is not enough.

This issue needs system changes.
Comment 10 Sona Mala 2013-11-26 10:52:03 EST
Created attachment 829346 [details]
Video - work with designer (ER5)
Comment 11 Tihomir Surdilovic 2013-11-28 12:39:46 EST
the tabs on the bottom of the editor were hovering over the designer horizontal scrollbar. the fix was to readjust the height of the editing window so they show again. Please retest (fix in designer master and 6.0.x branches).
Comment 12 Zuzana Krejčová 2014-01-14 04:50:00 EST
Tested with ER7, resolution 1280 x 800.

Please fix Simulation screen as well. I'll add a screenshot shortly - you can see that the panel with Process Simulation Results (graphs) itself and the side panels with Simulation Info and Simulation Graphs tree have the same problem that Soňa described in comment 9. These panels are bigger than what the Designer can display and the relevant scrollbars and a part of the content are hidden. 

The fix should be the very similar/same as mentioned in comment 11.
Comment 13 Zuzana Krejčová 2014-01-14 04:50:43 EST
Created attachment 849841 [details]
ER7 - simulation
Comment 15 Sona Mala 2014-06-23 05:33:08 EDT
This issue is still valid. Simulation tab has not been fixed yet.
Comment 16 Tihomir Surdilovic 2014-12-26 12:10:42 EST
sim fix in designer master and 6.2.x branches. please also note the small change of simulation graphs panel is above the simulations info panel now (in case it matters for tests or something).
Comment 17 Sona Mala 2015-01-21 08:45:16 EST
Unfortunately, this issue has to be assigned, because there is same problem which was mentioned in comment #9.

My opinion is that it was broke by bz 1159238.

This commit [1] contains a refactoring of DesignerView class.


[1] https://github.com/droolsjbpm/jbpm-designer/commit/be97a9034
Comment 18 Tihomir Surdilovic 2015-01-22 12:11:01 EST
You are absolutely correct - with the changes of the mentioned bz we had to add a little more code to properly set the height of the designer canvas. 

The fix for this is in designer master and 6.2.x branches.
Comment 19 Sona Mala 2015-02-18 05:43:50 EST
I can confirm that all items in panels are available (Process Modelling Tab and Simulation Results tab).

Simulation Results tab has some problem with scroll bars but this issue will be present in a new issue (bz 1193825).

Note You need to log in before you can comment on or make changes to this bug.